package com.goldenwater.gx.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.gx.domain.GxExchangeStation;

/**
 * 数据交换站点Mapper接口
 */
public interface GxExchangeStationMapper
{
    public GxExchangeStation selectGxExchangeStationById(Long id);

    public List<GxExchangeStation> selectGxExchangeStationList(GxExchangeStation station);

    public int insertGxExchangeStation(GxExchangeStation station);

    public int updateGxExchangeStation(GxExchangeStation station);

    public int deleteGxExchangeStationById(Long id);

    public int deleteGxExchangeStationByIds(Long[] ids);

    public List<GxExchangeStation> selectStationByBizCode(String bizCode);

    /**
     * 根据站码查询站点（用于导入时校验重复）
     */
    public GxExchangeStation selectStationByStcd(String stcd);
}
